cURL
curl --request POST \ --url https://api.sailhouse.dev/topics/{topic_slug}/events \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "data": {}, "metadata": {}, "send_at": "<string>", "wait_group_instance_id": "<string>" } '
{ "id": "<string>" }
Send an event to Sailhouse
Documentation IndexFetch the complete documentation index at: https://docs.sailhouse.dev/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.sailhouse.dev/llms.txt
Use this file to discover all available pages before exploring further.
The event data, as a JSON object
Additional metadata for the event
RFC3339 formatted string for when the event should be sent to subscriptions
ID of the wait group instance to which this event should be added to
Success
The ID of the event that was sent.